function out = minSet(p_taskToDo,rxnZeroFlux, f, beq, lb, ub, stoicMat, bValue)
out{1}=p_taskToDo;
RandStream.setDefaultStream(RandStream.create('mt19937ar','seed',sum(100*clock)));

lb_ori = lb; ub_ori = ub;

rxnZero_ori = rxnZeroFlux;
rxnNonZero=[1:size(stoicMat,1)]';rxnNonZero(rxnZero_ori)=[];

stoicMat_sub = stoicMat; stoicMat_sub(rxnZero_ori,:)=[];
lb_sub_ori = lb_ori; lb_sub_ori(rxnZero_ori)=[];
ub_sub_ori = ub_ori; ub_sub_ori(rxnZero_ori)=[];
f_sub = f; f_sub(rxnZero_ori)=[];
stoicMat_sub_struct =stoicMat_sub;
stoicMat_sub_struct(find(stoicMat_sub_struct~=0))=1;
colSum = sum(stoicMat_sub_struct);
stoicMat_sub(:,find(colSum==0))=[];
beq_sub = zeros(size(stoicMat_sub,2),1);


rxnZero_sub=[];
rxnOrder=randperm(size(stoicMat_sub,1));
while 1
    haveChanged = 0;
    for j = rxnOrder
        
        lb_sub = lb_sub_ori;
        ub_sub = ub_sub_ori;
        lb_sub(rxnZero_sub)=0;ub_sub(rxnZero_sub)=0;
        if ub_sub(j)~=bValue || lb_sub(j) ~= -bValue
            continue
        end
        lb_sub(j)=0;ub_sub(j)=0;
        
        for k = 1:3
            [x,fval,exitflag]=cplexlp(f_sub*3^(k-1),[],[],stoicMat_sub',beq_sub,lb_sub,ub_sub);
            if exitflag ==1
                break
            end
        end
        if exitflag == 1
            rxnZero_sub=[rxnZero_sub; j];
            rxnZero_sub= unique(rxnZero_sub);
            fprintf('%1.0f\t%1.0f\n',j,length(rxnZero_sub));
            haveChanged = 1;
        end
    end
    if haveChanged == 0
        break
    end
end
lb = lb_ori;
ub = ub_ori;
rxnZero = unique([rxnZero_ori;rxnNonZero(rxnZero_sub)]);

lb(rxnZero)=0;ub(rxnZero)=0;

for k = 1:3
    [x,fval,exitflag]=cplexlp(f*3^(k-1),[],[],stoicMat',beq,lb,ub);
    if exitflag ==1
        break
    end
end

if exitflag == 1
%     fileString = strcat('./minRxnSamples/rxnZero_',num2str(p_taskToDo),'.mat');
%     save(fileString,'rxnZero','x')
    out{2} = rxnZero;
    out{3} = x;
end
