%clear all;clc;
addpath ./fxns

[modelFileName compartment biomassDrain metConnections objFxn lbub] = loadExcel('myModelSpecs.xlsx');


%note to the user:

%use the top one if the SBML was changed
%otherwise use the second one to avoid re-reading the SBML
%%%run this%%%
 [stoicMat, rxnTable,speciesList,speciesExtList,notesTable] = sbmlREAD(modelFileName);
 save sbmlModel stoicMat rxnTable speciesList speciesExtList notesTable
%%%or this%%%
% load sbmlModel
%%%%%%%%%%%%%

save initData
disp('source read done');


step2_loadMultiTissues;
step2a_writeModelData2XLS;
step3_fluxSim;